<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_e65d9ebe03c7b68" . "f03597f9bf0f297d" . "8" => base64_decode("RWFjaCBlbGVtZW50I" . "G11c3QgYmUgYW4gaW" . "5zdGFuY2Ugb2Yg"));
use Webmozart\Assert\Assert;




class Pipeline
{
    
    
    
    
    
    
    private array $middlewares;
    public function __construct(array $_ce3a2f695287bfb9bcaffa72b83d9fc7 = [])
    {
        Assert::allIsInstanceOf($_ce3a2f695287bfb9bcaffa72b83d9fc7, MiddlewareInterface::class, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_e65d9ebe03c7b68" . "f03597f9bf0f297d" . "8"] . MiddlewareInterface::class);
        $this->middlewares = $_ce3a2f695287bfb9bcaffa72b83d9fc7;
    }
    
    
    
    
    
    
    
    
    public function handle(string $type, array $params) : array
    {
        foreach ($this->middlewares as $_b962e87c53d8a3c173cb1b2a48fa3ca1) {
            $params = $_b962e87c53d8a3c173cb1b2a48fa3ca1->handle($type, $params);
        }
        return $params;
    }
}